MagickWand: _DrawVTable Struct Reference

# _DrawVTable Struct Reference

## Data Fields
DrawingWand *(* | DestroyDrawingWand )(DrawingWand *)
void(* | DrawAnnotation )(DrawingWand *, const double, const double, const unsigned char *)
void(* | DrawArc )(DrawingWand *, const double, const double, const double, const double, const double, const double)
void(* | DrawBezier )(DrawingWand *, const unsigned long, const PointInfo *)
void(* | DrawCircle )(DrawingWand *, const double, const double, const double, const double)
void(* | DrawColor )(DrawingWand *, const double, const double, const PaintMethod)
void(* | DrawComment )(DrawingWand *, const char *)
void(* | DrawEllipse )(DrawingWand *, const double, const double, const double, const double, const double, const double)
MagickBooleanType(* | DrawComposite )(DrawingWand *, const CompositeOperator, const double, const double, const double, const double, const Image *)
void(* | DrawLine )(DrawingWand *, const double, const double, const double, const double)
void(* | DrawMatte )(DrawingWand *, const double, const double, const PaintMethod)
void(* | DrawPathClose )(DrawingWand *)
void(* | DrawPathCurveToAbsolute )(DrawingWand *, const double, const double, const double, const double, const double, const double)
void(* | DrawPathCurveToRelative )(DrawingWand *, const double, const double, const double, const double, const double, const double)
void(* | DrawPathCurveToQuadraticBezierAbsolute )(DrawingWand *, const double, const double, const double, const double)
void(* | DrawPathCurveToQuadraticBezierRelative )(DrawingWand *, const double, const double, const double, const double)
void(* | DrawPathCurveToQuadraticBezierSmoothAbsolute )(DrawingWand *, const double, const double)
void(* | DrawPathCurveToQuadraticBezierSmoothRelative )(DrawingWand *, const double, const double)
void(* | DrawPathCurveToSmoothAbsolute )(DrawingWand *, const double, const double, const double, const double)
void(* | DrawPathCurveToSmoothRelative )(DrawingWand *, const double, const double, const double, const double)
void(* | DrawPathEllipticArcAbsolute )(DrawingWand *, const double, const double, const double, const MagickBooleanType, const MagickBooleanType, const double, const double)
void(* | DrawPathEllipticArcRelative )(DrawingWand *, const double, const double, const double, const MagickBooleanType, const MagickBooleanType, const double, const double)
void(* | DrawPathFinish )(DrawingWand *)
void(* | DrawPathLineToAbsolute )(DrawingWand *, const double, const double)
void(* | DrawPathLineToRelative )(DrawingWand *, const double, const double)
void(* | DrawPathLineToHorizontalAbsolute )(DrawingWand *, const double)
void(* | DrawPathLineToHorizontalRelative )(DrawingWand *, const double)
void(* | DrawPathLineToVerticalAbsolute )(DrawingWand *, const double)
void(* | DrawPathLineToVerticalRelative )(DrawingWand *, const double)
void(* | DrawPathMoveToAbsolute )(DrawingWand *, const double, const double)
void(* | DrawPathMoveToRelative )(DrawingWand *, const double, const double)
void(* | DrawPathStart )(DrawingWand *)
void(* | DrawPoint )(DrawingWand *, const double, const double)
void(* | DrawPolygon )(DrawingWand *, const unsigned long, const PointInfo *)
void(* | DrawPolyline )(DrawingWand *, const unsigned long, const PointInfo *)
void(* | DrawPopClipPath )(DrawingWand *)
void(* | DrawPopDefs )(DrawingWand *)
MagickBooleanType(* | DrawPopPattern )(DrawingWand *)
void(* | DrawPushClipPath )(DrawingWand *, const char *)
void(* | DrawPushDefs )(DrawingWand *)
MagickBooleanType(* | DrawPushPattern )(DrawingWand *, const char *, const double, const double, const double, const double)
void(* | DrawRectangle )(DrawingWand *, const double, const double, const double, const double)
void(* | DrawRoundRectangle )(DrawingWand *, double, double, double, double, double, double)
void(* | DrawAffine )(DrawingWand *, const AffineMatrix *)
MagickBooleanType(* | DrawSetClipPath )(DrawingWand *, const char *)
void(* | DrawSetClipRule )(DrawingWand *, const FillRule)
void(* | DrawSetClipUnits )(DrawingWand *, const ClipPathUnits)
void(* | DrawSetFillColor )(DrawingWand *, const PixelWand *)
void(* | DrawSetFillRule )(DrawingWand *, const FillRule)
MagickBooleanType(* | DrawSetFillPatternURL )(DrawingWand *, const char *)
MagickBooleanType(* | DrawSetFont )(DrawingWand *, const char *)
MagickBooleanType(* | DrawSetFontFamily )(DrawingWand *, const char *)
void(* | DrawSetFontSize )(DrawingWand *, const double)
void(* | DrawSetFontStretch )(DrawingWand *, const StretchType)
void(* | DrawSetFontStyle )(DrawingWand *, const StyleType)
void(* | DrawSetFontWeight )(DrawingWand *, const unsigned long)
void(* | DrawSetGravity )(DrawingWand *, const GravityType)
void(* | DrawRotate )(DrawingWand *, const double)
void(* | DrawScale )(DrawingWand *, const double, const double)
void(* | DrawSkewX )(DrawingWand *, const double)
void(* | DrawSkewY )(DrawingWand *, const double)
void(* | DrawSetStrokeAntialias )(DrawingWand *, const MagickBooleanType)
void(* | DrawSetStrokeColor )(DrawingWand *, const PixelWand *)
MagickBooleanType(* | DrawSetStrokeDashArray )(DrawingWand *, const double *)
void(* | DrawSetStrokeDashOffset )(DrawingWand *, const double)
void(* | DrawSetStrokeLineCap )(DrawingWand *, const LineCap)
void(* | DrawSetStrokeLineJoin )(DrawingWand *, const LineJoin)
void(* | DrawSetStrokeMiterLimit )(DrawingWand *, const unsigned long)
MagickBooleanType(* | DrawSetStrokePatternURL )(DrawingWand *, const char *)
void(* | DrawSetStrokeWidth )(DrawingWand *, const double)
void(* | DrawSetTextAntialias )(DrawingWand *, const MagickBooleanType)
void(* | DrawSetTextDecoration )(DrawingWand *, const DecorationType)
void(* | DrawSetTextUnderColor )(DrawingWand *, const PixelWand *)
void(* | DrawTranslate )(DrawingWand *, const double, const double)
void(* | DrawSetViewbox )(DrawingWand *, unsigned long, unsigned long, unsigned long, unsigned long)
void(* | PeekDrawingWand )(DrawingWand *)
MagickBooleanType(* | PopDrawingWand )(DrawingWand *)
MagickBooleanType(* | PushDrawingWand )(DrawingWand *)

## Field Documentation

DrawingWand*(* _DrawVTable::DestroyDrawingWand)(DrawingWand *)

void(* _DrawVTable::DrawAnnotation)(DrawingWand *, const double, const double, const unsigned char *)

void(* _DrawVTable::DrawArc)(DrawingWand *, const double, const double, const double, const double, const double, const double)

void(* _DrawVTable::DrawBezier)(DrawingWand *, const unsigned long, const PointInfo *)

void(* _DrawVTable::DrawCircle)(DrawingWand *, const double, const double, const double, const double)

void(* _DrawVTable::DrawColor)(DrawingWand *, const double, const double, const PaintMethod)

void(* _DrawVTable::DrawComment)(DrawingWand *, const char *)

void(* _DrawVTable::DrawEllipse)(DrawingWand *, const double, const double, const double, const double, const double, const double)

MagickBooleanType(* _DrawVTable::DrawComposite)(DrawingWand *, const CompositeOperator, const double, const double, const double, const double, const Image *)

void(* _DrawVTable::DrawLine)(DrawingWand *, const double, const double, const double, const double)

void(* _DrawVTable::DrawMatte)(DrawingWand *, const double, const double, const PaintMethod)

void(* _DrawVTable::DrawPathClose)(DrawingWand *)

void(* _DrawVTable::DrawPathCurveToAbsolute)(DrawingWand *, const double, const double, const double, const double, const double, const double)

void(* _DrawVTable::DrawPathCurveToRelative)(DrawingWand *, const double, const double, const double, const double, const double, const double)

void(* _DrawVTable::DrawPathCurveToQuadraticBezierAbsolute)(DrawingWand *, const double, const double, const double, const double)

void(* _DrawVTable::DrawPathCurveToQuadraticBezierRelative)(DrawingWand *, const double, const double, const double, const double)

void(* _DrawVTable::DrawPathCurveToQuadraticBezierSmoothAbsolute)(DrawingWand *, const double, const double)

void(* _DrawVTable::DrawPathCurveToQuadraticBezierSmoothRelative)(DrawingWand *, const double, const double)

void(* _DrawVTable::DrawPathCurveToSmoothAbsolute)(DrawingWand *, const double, const double, const double, const double)

void(* _DrawVTable::DrawPathCurveToSmoothRelative)(DrawingWand *, const double, const double, const double, const double)

void(* _DrawVTable::DrawPathEllipticArcAbsolute)(DrawingWand *, const double, const double, const double, const MagickBooleanType, const MagickBooleanType, const double, const double)

void(* _DrawVTable::DrawPathEllipticArcRelative)(DrawingWand *, const double, const double, const double, const MagickBooleanType, const MagickBooleanType, const double, const double)

void(* _DrawVTable::DrawPathFinish)(DrawingWand *)

void(* _DrawVTable::DrawPathLineToAbsolute)(DrawingWand *, const double, const double)

void(* _DrawVTable::DrawPathLineToRelative)(DrawingWand *, const double, const double)

void(* _DrawVTable::DrawPathLineToHorizontalAbsolute)(DrawingWand *, const double)

void(* _DrawVTable::DrawPathLineToHorizontalRelative)(DrawingWand *, const double)

void(* _DrawVTable::DrawPathLineToVerticalAbsolute)(DrawingWand *, const double)

void(* _DrawVTable::DrawPathLineToVerticalRelative)(DrawingWand *, const double)

void(* _DrawVTable::DrawPathMoveToAbsolute)(DrawingWand *, const double, const double)

void(* _DrawVTable::DrawPathMoveToRelative)(DrawingWand *, const double, const double)

void(* _DrawVTable::DrawPathStart)(DrawingWand *)

void(* _DrawVTable::DrawPoint)(DrawingWand *, const double, const double)

void(* _DrawVTable::DrawPolygon)(DrawingWand *, const unsigned long, const PointInfo *)

void(* _DrawVTable::DrawPolyline)(DrawingWand *, const unsigned long, const PointInfo *)

void(* _DrawVTable::DrawPopClipPath)(DrawingWand *)

void(* _DrawVTable::DrawPopDefs)(DrawingWand *)

MagickBooleanType(* _DrawVTable::DrawPopPattern)(DrawingWand *)

void(* _DrawVTable::DrawPushClipPath)(DrawingWand *, const char *)

void(* _DrawVTable::DrawPushDefs)(DrawingWand *)

MagickBooleanType(* _DrawVTable::DrawPushPattern)(DrawingWand *, const char *, const double, const double, const double, const double)

void(* _DrawVTable::DrawRectangle)(DrawingWand *, const double, const double, const double, const double)

void(* _DrawVTable::DrawRoundRectangle)(DrawingWand *, double, double, double, double, double, double)

void(* _DrawVTable::DrawAffine)(DrawingWand *, const AffineMatrix *)

MagickBooleanType(* _DrawVTable::DrawSetClipPath)(DrawingWand *, const char *)

void(* _DrawVTable::DrawSetClipRule)(DrawingWand *, const FillRule)

void(* _DrawVTable::DrawSetClipUnits)(DrawingWand *, const ClipPathUnits)

void(* _DrawVTable::DrawSetFillColor)(DrawingWand *, const PixelWand *)

void(* _DrawVTable::DrawSetFillRule)(DrawingWand *, const FillRule)

MagickBooleanType(* _DrawVTable::DrawSetFillPatternURL)(DrawingWand *, const char *)

MagickBooleanType(* _DrawVTable::DrawSetFont)(DrawingWand *, const char *)

MagickBooleanType(* _DrawVTable::DrawSetFontFamily)(DrawingWand *, const char *)

void(* _DrawVTable::DrawSetFontSize)(DrawingWand *, const double)

void(* _DrawVTable::DrawSetFontStretch)(DrawingWand *, const StretchType)

void(* _DrawVTable::DrawSetFontStyle)(DrawingWand *, const StyleType)

void(* _DrawVTable::DrawSetFontWeight)(DrawingWand *, const unsigned long)

void(* _DrawVTable::DrawSetGravity)(DrawingWand *, const GravityType)

void(* _DrawVTable::DrawRotate)(DrawingWand *, const double)

void(* _DrawVTable::DrawScale)(DrawingWand *, const double, const double)

void(* _DrawVTable::DrawSkewX)(DrawingWand *, const double)

void(* _DrawVTable::DrawSkewY)(DrawingWand *, const double)

void(* _DrawVTable::DrawSetStrokeAntialias)(DrawingWand *, const MagickBooleanType)

void(* _DrawVTable::DrawSetStrokeColor)(DrawingWand *, const PixelWand *)

MagickBooleanType(* _DrawVTable::DrawSetStrokeDashArray)(DrawingWand *, const double *)

void(* _DrawVTable::DrawSetStrokeDashOffset)(DrawingWand *, const double)

void(* _DrawVTable::DrawSetStrokeLineCap)(DrawingWand *, const LineCap)

void(* _DrawVTable::DrawSetStrokeLineJoin)(DrawingWand *, const LineJoin)

void(* _DrawVTable::DrawSetStrokeMiterLimit)(DrawingWand *, const unsigned long)

MagickBooleanType(* _DrawVTable::DrawSetStrokePatternURL)(DrawingWand *, const char *)

void(* _DrawVTable::DrawSetStrokeWidth)(DrawingWand *, const double)

void(* _DrawVTable::DrawSetTextAntialias)(DrawingWand *, const MagickBooleanType)

void(* _DrawVTable::DrawSetTextDecoration)(DrawingWand *, const DecorationType)

void(* _DrawVTable::DrawSetTextUnderColor)(DrawingWand *, const PixelWand *)

void(* _DrawVTable::DrawTranslate)(DrawingWand *, const double, const double)

void(* _DrawVTable::DrawSetViewbox)(DrawingWand *, unsigned long, unsigned long, unsigned long, unsigned long)

void(* _DrawVTable::PeekDrawingWand)(DrawingWand *)

MagickBooleanType(* _DrawVTable::PopDrawingWand)(DrawingWand *)

MagickBooleanType(* _DrawVTable::PushDrawingWand)(DrawingWand *)

The documentation for this struct was generated from the following file:

- drawing-wand.c